<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::BinaryExpr&lt; LhsT, RhsT &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1BinaryExpr-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::BinaryExpr&lt; LhsT, RhsT &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::BinaryExpr&lt; LhsT, RhsT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1BinaryExpr__inherit__graph.png" border="0" usemap="#Catch_1_1BinaryExpr_3_01LhsT_00_01RhsT_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1BinaryExpr_3_01LhsT_00_01RhsT_01_4_inherit__map" id="Catch_1_1BinaryExpr_3_01LhsT_00_01RhsT_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="31,80,181,121"/>
<area shape="rect" href="structCatch_1_1ITransientExpression.html" title=" " alt="" coords="5,5,207,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::BinaryExpr&lt; LhsT, RhsT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1BinaryExpr__coll__graph.png" border="0" usemap="#Catch_1_1BinaryExpr_3_01LhsT_00_01RhsT_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1BinaryExpr_3_01LhsT_00_01RhsT_01_4_coll__map" id="Catch_1_1BinaryExpr_3_01LhsT_00_01RhsT_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="125,95,274,136"/>
<area shape="rect" href="structCatch_1_1ITransientExpression.html" title=" " alt="" coords="5,5,207,32"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="231,5,357,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a657d66346aef97a760c22776fe6008b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a657d66346aef97a760c22776fe6008b6">BinaryExpr</a> (bool comparisonResult, LhsT lhs, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> op, RhsT rhs)</td></tr>
<tr class="separator:a657d66346aef97a760c22776fe6008b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4fba62be6063010bc33d0988ff7d8d5"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ae4fba62be6063010bc33d0988ff7d8d5"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#ae4fba62be6063010bc33d0988ff7d8d5">operator&amp;&amp;</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ae4fba62be6063010bc33d0988ff7d8d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331e53968b1a2f92827c35721cc7eded"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a331e53968b1a2f92827c35721cc7eded"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a331e53968b1a2f92827c35721cc7eded">operator||</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a331e53968b1a2f92827c35721cc7eded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a245bffd2aab2f560814739986710aaf1"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a245bffd2aab2f560814739986710aaf1"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a245bffd2aab2f560814739986710aaf1">operator==</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a245bffd2aab2f560814739986710aaf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad06dd2c9fc1dd77fe8d8e51440c14ff6"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ad06dd2c9fc1dd77fe8d8e51440c14ff6"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#ad06dd2c9fc1dd77fe8d8e51440c14ff6">operator!=</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ad06dd2c9fc1dd77fe8d8e51440c14ff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acff324c7d285cbee7efa9fbe83955638"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:acff324c7d285cbee7efa9fbe83955638"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#acff324c7d285cbee7efa9fbe83955638">operator&gt;</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:acff324c7d285cbee7efa9fbe83955638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e6c3dcf59b3cd51e7c82355da3ef451"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a7e6c3dcf59b3cd51e7c82355da3ef451"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a7e6c3dcf59b3cd51e7c82355da3ef451">operator&lt;</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a7e6c3dcf59b3cd51e7c82355da3ef451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67901ddb9afd83961fb4e65ea3d75050"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a67901ddb9afd83961fb4e65ea3d75050"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a67901ddb9afd83961fb4e65ea3d75050">operator&gt;=</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a67901ddb9afd83961fb4e65ea3d75050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5590a2c5f5074ca2509c09b92bfcdf57"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a5590a2c5f5074ca2509c09b92bfcdf57"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a5590a2c5f5074ca2509c09b92bfcdf57">operator&lt;=</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a5590a2c5f5074ca2509c09b92bfcdf57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657d66346aef97a760c22776fe6008b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a657d66346aef97a760c22776fe6008b6">BinaryExpr</a> (bool comparisonResult, LhsT lhs, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> op, RhsT rhs)</td></tr>
<tr class="separator:a657d66346aef97a760c22776fe6008b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4fba62be6063010bc33d0988ff7d8d5"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ae4fba62be6063010bc33d0988ff7d8d5"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#ae4fba62be6063010bc33d0988ff7d8d5">operator&amp;&amp;</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ae4fba62be6063010bc33d0988ff7d8d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331e53968b1a2f92827c35721cc7eded"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a331e53968b1a2f92827c35721cc7eded"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a331e53968b1a2f92827c35721cc7eded">operator||</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a331e53968b1a2f92827c35721cc7eded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a245bffd2aab2f560814739986710aaf1"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a245bffd2aab2f560814739986710aaf1"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a245bffd2aab2f560814739986710aaf1">operator==</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a245bffd2aab2f560814739986710aaf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad06dd2c9fc1dd77fe8d8e51440c14ff6"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ad06dd2c9fc1dd77fe8d8e51440c14ff6"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#ad06dd2c9fc1dd77fe8d8e51440c14ff6">operator!=</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ad06dd2c9fc1dd77fe8d8e51440c14ff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acff324c7d285cbee7efa9fbe83955638"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:acff324c7d285cbee7efa9fbe83955638"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#acff324c7d285cbee7efa9fbe83955638">operator&gt;</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:acff324c7d285cbee7efa9fbe83955638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e6c3dcf59b3cd51e7c82355da3ef451"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a7e6c3dcf59b3cd51e7c82355da3ef451"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a7e6c3dcf59b3cd51e7c82355da3ef451">operator&lt;</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a7e6c3dcf59b3cd51e7c82355da3ef451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67901ddb9afd83961fb4e65ea3d75050"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a67901ddb9afd83961fb4e65ea3d75050"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a67901ddb9afd83961fb4e65ea3d75050">operator&gt;=</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a67901ddb9afd83961fb4e65ea3d75050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5590a2c5f5074ca2509c09b92bfcdf57"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a5590a2c5f5074ca2509c09b92bfcdf57"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a5590a2c5f5074ca2509c09b92bfcdf57">operator&lt;=</a> (T) const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a5590a2c5f5074ca2509c09b92bfcdf57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1ITransientExpression"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1ITransientExpression')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af998022712d4bd3e4fc7ab9b8a38b445"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#af998022712d4bd3e4fc7ab9b8a38b445">streamReconstructedExpression</a> (std::ostream &amp;os) const override</td></tr>
<tr class="separator:af998022712d4bd3e4fc7ab9b8a38b445"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af998022712d4bd3e4fc7ab9b8a38b445"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#af998022712d4bd3e4fc7ab9b8a38b445">streamReconstructedExpression</a> (std::ostream &amp;os) const override</td></tr>
<tr class="separator:af998022712d4bd3e4fc7ab9b8a38b445"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a306b29e77b48f9c538c5031a59adc4ce"><td class="memItemLeft" align="right" valign="top">LhsT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a306b29e77b48f9c538c5031a59adc4ce">m_lhs</a></td></tr>
<tr class="separator:a306b29e77b48f9c538c5031a59adc4ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab21dea40c53fd64d4f7a073dbe93ec95"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#ab21dea40c53fd64d4f7a073dbe93ec95">m_op</a></td></tr>
<tr class="separator:ab21dea40c53fd64d4f7a073dbe93ec95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54cb1629bf304ebe0c1560f4cc2bc186"><td class="memItemLeft" align="right" valign="top">RhsT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1BinaryExpr.html#a54cb1629bf304ebe0c1560f4cc2bc186">m_rhs</a></td></tr>
<tr class="separator:a54cb1629bf304ebe0c1560f4cc2bc186"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_structCatch_1_1ITransientExpression"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structCatch_1_1ITransientExpression')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td></tr>
<tr class="memitem:a75ce48da824d514d08152d396abb28d8 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a75ce48da824d514d08152d396abb28d8">m_isBinaryExpression</a></td></tr>
<tr class="separator:a75ce48da824d514d08152d396abb28d8 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4646e2b5e0156e913653ec3b9b60c942 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a4646e2b5e0156e913653ec3b9b60c942">m_result</a></td></tr>
<tr class="separator:a4646e2b5e0156e913653ec3b9b60c942 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a657d66346aef97a760c22776fe6008b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a657d66346aef97a760c22776fe6008b6">&#9670;&nbsp;</a></span>BinaryExpr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::<a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>comparisonResult</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">LhsT&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RhsT&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a657d66346aef97a760c22776fe6008b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a657d66346aef97a760c22776fe6008b6">&#9670;&nbsp;</a></span>BinaryExpr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::<a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>comparisonResult</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">LhsT&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RhsT&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad06dd2c9fc1dd77fe8d8e51440c14ff6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad06dd2c9fc1dd77fe8d8e51440c14ff6">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad06dd2c9fc1dd77fe8d8e51440c14ff6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad06dd2c9fc1dd77fe8d8e51440c14ff6">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4fba62be6063010bc33d0988ff7d8d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4fba62be6063010bc33d0988ff7d8d5">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4fba62be6063010bc33d0988ff7d8d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4fba62be6063010bc33d0988ff7d8d5">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e6c3dcf59b3cd51e7c82355da3ef451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e6c3dcf59b3cd51e7c82355da3ef451">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e6c3dcf59b3cd51e7c82355da3ef451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e6c3dcf59b3cd51e7c82355da3ef451">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5590a2c5f5074ca2509c09b92bfcdf57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5590a2c5f5074ca2509c09b92bfcdf57">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5590a2c5f5074ca2509c09b92bfcdf57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5590a2c5f5074ca2509c09b92bfcdf57">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a245bffd2aab2f560814739986710aaf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a245bffd2aab2f560814739986710aaf1">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a245bffd2aab2f560814739986710aaf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a245bffd2aab2f560814739986710aaf1">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acff324c7d285cbee7efa9fbe83955638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acff324c7d285cbee7efa9fbe83955638">&#9670;&nbsp;</a></span>operator&gt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&gt; </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acff324c7d285cbee7efa9fbe83955638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acff324c7d285cbee7efa9fbe83955638">&#9670;&nbsp;</a></span>operator&gt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&gt; </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a67901ddb9afd83961fb4e65ea3d75050"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67901ddb9afd83961fb4e65ea3d75050">&#9670;&nbsp;</a></span>operator&gt;=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a67901ddb9afd83961fb4e65ea3d75050"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67901ddb9afd83961fb4e65ea3d75050">&#9670;&nbsp;</a></span>operator&gt;=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a331e53968b1a2f92827c35721cc7eded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a331e53968b1a2f92827c35721cc7eded">&#9670;&nbsp;</a></span>operator||() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator|| </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a331e53968b1a2f92827c35721cc7eded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a331e53968b1a2f92827c35721cc7eded">&#9670;&nbsp;</a></span>operator||() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::operator|| </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af998022712d4bd3e4fc7ab9b8a38b445"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af998022712d4bd3e4fc7ab9b8a38b445">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">Catch::ITransientExpression</a>.</p>

</div>
</div>
<a id="af998022712d4bd3e4fc7ab9b8a38b445"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af998022712d4bd3e4fc7ab9b8a38b445">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">Catch::ITransientExpression</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a306b29e77b48f9c538c5031a59adc4ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a306b29e77b48f9c538c5031a59adc4ce">&#9670;&nbsp;</a></span>m_lhs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">LhsT <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::m_lhs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab21dea40c53fd64d4f7a073dbe93ec95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab21dea40c53fd64d4f7a073dbe93ec95">&#9670;&nbsp;</a></span>m_op</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::m_op</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a54cb1629bf304ebe0c1560f4cc2bc186"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54cb1629bf304ebe0c1560f4cc2bc186">&#9670;&nbsp;</a></span>m_rhs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT , typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">RhsT <a class="el" href="classCatch_1_1BinaryExpr.html">Catch::BinaryExpr</a>&lt; LhsT, RhsT &gt;::m_rhs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
